Package ru.bitel.bgbilling.modules.inet.common.bean

# Class TrafficType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.inet.common.bean.TrafficType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TrafficType extends IdTitle
Тип трафика

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TrafficType`
  `TIME`
  `static final Integer`
  `TIME_ID`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrafficType()`
  `TrafficType(int id, String title, int unit)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getUnit()`
  `TrafficType`
  `setId(int id)`
  Устанавливает id объекта
  `TrafficType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `TrafficType`
  `setUnit(int type)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### TIME_ID

    public static final Integer TIME_ID

  - ### TIME

    public static final TrafficType TIME

- ## Constructor Details

  - ### TrafficType

    public TrafficType()

  - ### TrafficType

    public TrafficType(int id, String title, int unit)

- ## Method Details

  - ### getUnit

    public int getUnit()
    Returns:
    See Also:
      - `ServiceUnit`

  - ### setUnit

    public TrafficType setUnit(int type)

  - ### setId

    public TrafficType setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public TrafficType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`